bk://kernel.bkbits.net/gregkh/linux/driver-2.6
greg@kroah.com|ChangeSet|20041023000127|60435 greg

# This is a BitKeeper generated diff -Nru style patch.
#
# ChangeSet
#   2004/10/25 19:17:25-07:00 akpm@bix.(none) 
#   Merge bix.(none):/usr/src/bk25 into bix.(none):/usr/src/bk-driver-core
# 
# include/linux/module.h
#   2004/10/25 19:17:19-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# ChangeSet
#   2004/10/24 22:03:33-07:00 akpm@bix.(none) 
#   Merge bix.(none):/usr/src/bk25 into bix.(none):/usr/src/bk-driver-core
# 
# lib/Makefile
#   2004/10/24 22:03:29-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# ChangeSet
#   2004/10/22 21:07:02-07:00 akpm@bix.(none) 
#   Merge bix.(none):/usr/src/bk25 into bix.(none):/usr/src/bk-driver-core
# 
# lib/Makefile
#   2004/10/22 21:06:58-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# drivers/usb/core/usb.c
#   2004/10/22 21:06:58-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# ChangeSet
#   2004/10/22 17:01:27-07:00 greg@kroah.com 
#   cpu: mark symbol EXPORT_SYMBOL_GPL
#   
#   Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>
# 
# drivers/base/cpu.c
#   2004/10/22 17:01:16-07:00 greg@kroah.com +1 -1
#   cpu: mark symbol EXPORT_SYMBOL_GPL
#   
#   Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>
# 
# ChangeSet
#   2004/10/22 16:50:27-07:00 greg@kroah.com 
#   class simple: mark exports as EXPORT_SYMBOL_GPL as these are core kernel functions.
#   
#   Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>
# 
# drivers/base/class_simple.c
#   2004/10/22 16:50:14-07:00 greg@kroah.com +5 -5
#   class simple: mark exports as EXPORT_SYMBOL_GPL as these are core kernel functions.
#   
#   Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>
# 
# ChangeSet
#   2004/10/21 14:19:34-07:00 akpm@bix.(none) 
#   Merge bix.(none):/usr/src/bk25 into bix.(none):/usr/src/bk-driver-core
# 
# lib/Makefile
#   2004/10/21 14:19:30-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# ChangeSet
#   2004/10/21 00:25:11-07:00 akpm@bix.(none) 
#   Merge bix.(none):/usr/src/bk25 into bix.(none):/usr/src/bk-driver-core
# 
# include/linux/module.h
#   2004/10/21 00:25:06-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# ChangeSet
#   2004/10/19 21:39:11-07:00 akpm@bix.(none) 
#   Merge bix.(none):/usr/src/bk25 into bix.(none):/usr/src/bk-driver-core
# 
# kernel/Makefile
#   2004/10/19 21:39:07-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# include/linux/module.h
#   2004/10/19 21:39:07-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# drivers/usb/core/usb.c
#   2004/10/19 21:39:07-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# ChangeSet
#   2004/10/19 17:57:14-07:00 akpm@bix.(none) 
#   foo
# 
# kernel/Makefile
#   2004/10/19 17:57:07-07:00 akpm@bix.(none) +0 -1
#   foo
# 
# include/linux/module.h
#   2004/10/19 17:54:19-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# drivers/usb/core/usb.c
#   2004/10/19 17:54:19-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
diff -Nru a/drivers/base/class_simple.c b/drivers/base/class_simple.c
--- a/drivers/base/class_simple.c	2004-10-26 18:43:44 -07:00
+++ b/drivers/base/class_simple.c	2004-10-26 18:43:44 -07:00
@@ -91,7 +91,7 @@
 	kfree(cs);
 	return ERR_PTR(retval);
 }
-EXPORT_SYMBOL(class_simple_create);
+EXPORT_SYMBOL_GPL(class_simple_create);
 
 /**
  * class_simple_destroy - destroys a struct class_simple structure
@@ -107,7 +107,7 @@
 
 	class_unregister(&cs->class);
 }
-EXPORT_SYMBOL(class_simple_destroy);
+EXPORT_SYMBOL_GPL(class_simple_destroy);
 
 /**
  * class_simple_device_add - adds a class device to sysfs for a character driver
@@ -166,7 +166,7 @@
 	kfree(s_dev);
 	return ERR_PTR(retval);
 }
-EXPORT_SYMBOL(class_simple_device_add);
+EXPORT_SYMBOL_GPL(class_simple_device_add);
 
 /**
  * class_simple_set_hotplug - set the hotplug callback in the embedded struct class
@@ -184,7 +184,7 @@
 	cs->class.hotplug = hotplug;
 	return 0;
 }
-EXPORT_SYMBOL(class_simple_set_hotplug);
+EXPORT_SYMBOL_GPL(class_simple_set_hotplug);
 
 /**
  * class_simple_device_remove - removes a class device that was created with class_simple_device_add()
@@ -213,4 +213,4 @@
 		spin_unlock(&simple_dev_list_lock);
 	}
 }
-EXPORT_SYMBOL(class_simple_device_remove);
+EXPORT_SYMBOL_GPL(class_simple_device_remove);
diff -Nru a/drivers/base/cpu.c b/drivers/base/cpu.c
--- a/drivers/base/cpu.c	2004-10-26 18:43:44 -07:00
+++ b/drivers/base/cpu.c	2004-10-26 18:43:44 -07:00
@@ -13,7 +13,7 @@
 struct sysdev_class cpu_sysdev_class = {
 	set_kset_name("cpu"),
 };
-EXPORT_SYMBOL(cpu_sysdev_class);
+EXPORT_SYMBOL_GPL(cpu_sysdev_class);
 
 #ifdef CONFIG_HOTPLUG_CPU
 static ssize_t show_online(struct sys_device *dev, char *buf)
